Subject: Re: bug#16334: 24.3.50; company-capf eats the first char in IELM filename completions

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Jan 2014 23:53:25 -0500

> `completion-file-name-table' is more of an exception, I think.  But if
> it was only passed the segment of STRING after the last path
> separator, it could still look behind it in the buffer and see the
> full path.

But the completion may actually want to *change* the text before
the boundary.  E.g. completion of /u/s/d to /usr/share/doc.

The completion table itself does not know how to do that, but some
completion styles do (e.g. partial-completion).
So the completion-at-point-function needs to indicate the boundaries of
"/u/s/d" which indicate which text can be affected by the completion,
while `completion-boundaries' tells the lower-level completion code
(e.g. the one in partial-completion) how to split the completion field
into sub-fields.

        Stefan